Subject: Re: [Gen-art] Gem-Art review for draft-ietf-httpauth-scram-auth-14

From: "Ralph Droms (rdroms)" <[email-masked]>
Date: Tue, 5 Jan 2016 20:45:16 +0000

Confirming that rev -15 addresses my Gen-ART review comments...

- Ralph

> On Dec 16, 2015, at 11:19 AM 12/16/15, Ralph Droms (rdroms) <[email-masked]> wrote:
> 
> 
>> On Dec 16, 2015, at 10:47 AM 12/16/15, Alexey Melnikov <[email-masked]> wrote:
>> 
>> Hi Ralph,
>> Thank you for your review. Sorry I missed it earlier.
> 
> You're welcome.  Looks like we have agreement on my editorial comments and suggestions.  Will the edits you mention below appear in rev -15?
> 
> - Ralph
> 
>> 
>> On 09/12/2015 20:47, Ralph Droms (rdroms) wrote:
>>> Nits/editorial comments:
>>> 
>>> Nicely written, very clear document.
>> Thank you.
>>> idnits reports some lines too long and an unused reference.
>> I fixed the reference in my copy. I hope RFC Editor can help with lines which are too long.
>>> In the third paragraph of the Introduction, I suggest removing the parentheses and editing the second sentence for clarity; specifically, what is "SCRAM data"?
>> I meant SCRAM requests and responses.
>>> You could probably omit the parentheses in the second paragraph of Setion 3, as well, I'm likely just arguing style.
>> Barry picked on this as well, so this was rewritten for clarity.
>>> The last sentence of the last paragraph of sectino 3 was unclear to me: which messages are referred to?
>> Message is the same as 'decoded "data" attribute' in the previous sentence. I clarified that.
>>> I think, in the phrase "fail the authentication" in the fifth paragraph of section 8, you are using "fail" as a transitive verb, as in "the client considers the authentication of the message to have failed"
>> ... and does whatever is appropriate in this case. Which might be closing the connection, retrying or trying another (non SCRAM) mechanism.
>>> .  If I have that write, I suggest rewriting the containing sentence to improve the clarity.
>> 
>> Best Regards,
>> Alexey
>> 
>> 
>